/***
 * 存储对话弹框，模态框组件，和页面跳转存储参数
 */
"use strict";
import { util } from './util/util.js'
class pageInfoMap{
    static push(key,obj){
        this.initObjMap();
        this.objMap.set(key,obj);
    }
    static getObj(key){
        this.initObjMap();
        return this.objMap.get(key);
    }
    static initObjMap(){//不管是取还是set都校验一下对象为null则创建一个空的对象
        if(util.isNull(this.objMap)){
            this.objMap=new Map();
        }
    }
    static getMap(){
        return this.objMap;
    }
}
export {pageInfoMap};